#
# spec file for package xproto
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xproto
Version:        7.0.31
Release:        1.22
Url:            http://xorg.freedesktop.org/
Summary:        The X11 Protocol: X Window System core
License:        MIT
Group:          Development/Libraries/X11

#Git-Clone:	git://anongit.freedesktop.org/xorg/proto/xproto
#Git-Web:	http://cgit.freedesktop.org/xorg/proto/xproto/
Source:         http://xorg.freedesktop.org/releases/individual/proto/%name-%version.tar.bz2
#BuildRequires:  autoconf >= 2.60
#BuildRequires:  automake
#BuildRequires:  pkgconfig(xorg-macros) >= 1.3
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The X Protocol Headers for development

This package provides the headers and specification documents
defining the X Window System Core Protocol, Version 11.

%package devel
Summary:        The X11 Protocol: X Window System core
Group:          Development/Libraries/X11

# Added within the 13.2 Development Cycle
Provides:       xorg-x11-proto-devel:%_libdir/pkgconfig/xproto.pc

%description devel
The X Protocol Headers for development

This package provides the headers and specification documents
defining the X Window System Core Protocol, Version 11.

It also includes a number of headers that are not purely protocol
related, but are depended upon by many other X Window System packages
to provide common definitions and porting layer.

%prep
%setup -q

%build
#autoreconf -fi
%configure
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"

%files devel
%defattr(-,root,root)
%doc COPYING
%doc %_datadir/doc/*
/usr/include/X11/*.h
%_libdir/pkgconfig/*.pc

%changelog
* Fri Sep 23 2016 tobias.johannes.klausmann@mni.thm.de
- Update to version 7.0.31:
  The update to version 7.0.30 is included
  + Xfuncproto.h: Define __has_feature(), __has_extension()
  + Xfuncproto: Add support for _X_DEPRECATED_MSG(), _X_NOTSAN macro
  + Fix typo __has_extenstion -> __has_extension
* Fri May 13 2016 tobias.johannes.klausmann@mni.thm.de
- Update to version 7.0.29:
  + Incorrect guard block in HPkeysym.h
  + Don't let XFD_SETSIZE exceed FD_SETSIZE
  + Raise the number of FD on WIN32 as well
* Wed Jul  1 2015 tobias.johannes.klausmann@mni.thm.de
- Update to version 7.0.28:
  This release adds support for up to 512 clients in the X server.
  Also a warning fix for C99 compilers, and a build fix for Darwin.
* Sat Jan  3 2015 tobias.johannes.klausmann@mni.thm.de
- Update to version 7.0.27:
  This release improves support for compiler attributes for the
  clang and Solaris Studio 12.4 compilers, and makes builds on AIX
  choose the right headers to include.
* Thu Sep 18 2014 jengelh@inai.de
- Update description and other metadata
- Use full %%configure for build, and remove CFLAGS (nothing is
  compiled)
- Make file list more compact
* Tue Apr 29 2014 sndirsch@suse.com
- added COPYING to %%doc
* Fri Apr 18 2014 tobias.johannes.klausmann@mni.thm.de
- Created package xproto with initial version 7.0.26
